# Generated by Django 2.2.17 on 2021-07-17 16:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0084_tracking_url'),
        ('canvas', '0013_syncedstockcount '),
    ]

    operations = [
        migrations.CreateModel(
            name='UnsyncedStockCount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('new_qty', models.CharField(help_text='The new total qty on hand.', max_length=26)),
                ('timestamp', models.DateTimeField(help_text='Timestamp when the inventory change occurred.')),
                ('shop_product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unsynced_shop_product', to='shuup.ShopProduct')),
                ('store', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='unsynced_location', to='shuup.Supplier')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
